unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, PicButton;

type
  TForm1 = class(TForm)
    PicButton1: TPicButton;
    Button1: TButton;
    procedure PicButton1Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure PicButtonDynamiqueClick(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;
  PicButtonDynamique: TPicButton;

implementation

{$R *.dfm}

procedure TForm1.PicButton1Click(Sender: TObject);
begin
  ShowMessage('Clic sur PicButton "design time"');
end;

procedure TForm1.PicButtonDynamiqueClick(Sender: TObject);
begin
  ShowMessage('Clic sur PicButton "run time"');
end;


procedure TForm1.Button1Click(Sender: TObject);
var
  bm: TBitMap;
begin
  if assigned(PicButtonDynamique) then begin
    ShowMessage('Le bouton est dj cr !');
    exit;
  end;
  try
    PicButtonDynamique := TPicButton.Create(self); 
    PicButtonDynamique.ParentWindow := Form1.Handle;
    PicButtonDynamique.Top := Button1.Top+60;
    PicButtonDynamique.Left := PicButton1.Left;
    PicButtonDynamique.OnClick := PicButtonDynamiqueClick;

    bm := TBitMap.Create;
    bm.LoadFromFile('Boutons2.bmp');
    PicButtonDynamique.PicNormal := bm;
    bm.LoadFromFile('Boutons2Down.bmp');
    PicButtonDynamique.PicPushed := bm;
    bm.LoadFromFile('Boutons2Hover.bmp');
    PicButtonDynamique.PicHiLight := bm;
    bm.Free;
  except
    ShowMessage('Oups... Erreur en cration.');
  end;
end;

end.
